/*============================================================================
//	aPCI-8131̒`
//
//	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
//
//	{{[h͂`ohbQPڃ{[hł
//
//==========================================================================*/
#if !defined(_APCI8131_H)
#define _APCI8131_H

#ifndef _TYPEDEF_H
	#include "typedef.h"
#endif

#ifndef _APCISRVS_H
	#include "apcisrvs.h"
#endif

#ifndef _APCICTRL_H
	#include "apcictrl.h"
#endif

/*==========================================*/
/*	aPCI-8131 card's relative port address	*/
/*==========================================*/
#define	APCI8131_PORT_1	0
#define	APCI8131_PORT_2	1
#define	APCI8131_PORT_3	2
#define	APCI8131_PORT_4	3

/*==================*/
/*	Miscellaneous	*/
/*==================*/
#define	APCI8131_MAX_SLOTS	16			/* Maximum number of slots */
#define APCI8131_MAX_PORTS	4			/* Maximum number of user ports */

/*==============*/
/*	Device ID	*/
/*==============*/
#define	APCI8131_BOARD_ID	0x8131		/* pci bus device id */
#define	APCI8131_VENDOR_ID	0x136c		/* pci bus vendor id */
										/* our device id */
#define	APCI8131_DEVICE_ID	( ( DWORD )APCI8131_BOARD_ID\
							| ( ( DWORD )APCI8131_VENDOR_ID << 16 ) )

#endif
