Attribute VB_Name = "Wrapper"
'============================================================================
'   apci8131w.bas
'
'   Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
'   V1.11 Date 1999/08/23
'
'============================================================================
Option Explicit
Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long

Global Const APCI8131_DLL_NAME = "apci8131.dll" ' DLL
Global Const APCI8131_ERR_WRAPDLL = -1          ' ׯ߰֐װ

Dim hDLL As Long                'DLLւ

'============================================================================
'     apci8131.dll۰(۰ގʹװƂ)
'     
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wDllOpen() As Boolean
  Apci8131wDllOpen = False
  If hDLL = 0 Then
    hDLL = LoadLibrary(APCI8131_DLL_NAME)
    If hDLL <> 0 Then
      Apci8131wDllOpen = Apci8131wGetDllExportFunc()
      If Apci8131wDllOpen <> True Then
        Apci8131wDllClose     ' DLL֐擾ɎŝDLL۰
      End If
    End If
  End If
End Function
'============================================================================
'     apci8131.dll۰(۰ގʹװƂ)
'     
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wDllClose() As Boolean
  Apci8131wDllClose = False
  If hDLL <> 0 Then
    If FreeLibrary(hDLL) <> 0 Then
      hDLL = 0
      Apci8131wDllClose = True
    End If
  End If
End Function
'============================================================================
'     aPCI-8131 DLL,޲ײްްޮݔԍ擾
'     pdwDllVersion    DLLްޮݔԍi[
'         pdwDriverVersion ޲ײްްޮݔԍi[
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wGetVersion(pdwDllVersion As Long, pdwDriverVersion As Long) As Boolean
  Apci8131wGetVersion = False
  If hDLL <> 0 Then
    If Apci8131GetVersion(pdwDllVersion, pdwDriverVersion) <> 0 Then
      Apci8131wGetVersion = True
    End If
  End If
End Function
'============================================================================
'     aPCI-8131̔Cӂ޲̎gp錾
'     pwLogSlot  gp޲̘_ۯĔԍi[
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wCreate(pwLogSlot As Integer) As Boolean
  Apci8131wCreate = False
  If hDLL <> 0 Then
    If Apci8131Create(pwLogSlot) <> 0 Then
      Apci8131wCreate = True
    End If
  End If
End Function
'============================================================================
'     aPCI-8131̔Cӂ޲̎gpJ
'     wLogSlot ޲̘_ۯĔԍ
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wClose(ByVal wLogSlot As Integer) As Boolean
  Apci8131wClose = False
  If hDLL <> 0 Then
    If Apci8131Close(wLogSlot) <> 0 Then
      Apci8131wClose = True
    End If
  End If
End Function
'============================================================================
'     w޲ؿ擾
'     wLogSlot ؿ擾޲̘_ۯĔԍ
'         pResInfo ؿi[\
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wGetResource(ByVal wLogSlot As Integer, pResInfo As APCI8131RESOURCE) As Boolean
  Apci8131wGetResource = False
  If hDLL <> 0 Then
    If Apci8131GetResource(wLogSlot, pResInfo) <> 0 Then
      Apci8131wGetResource = True
    End If
  End If
End Function
'============================================================================
'     ۰ذ̒l擾
'     wLogSlot       ۰ذ̒l擾޲̘_ۯĔԍ
'         pdwSwitchValue ۰ذ̒li[
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wGetSwitchValue(ByVal wLogSlot As Integer, pdwSwitchValue As Long) As Boolean
  Apci8131wGetSwitchValue = False
  If hDLL <> 0 Then
    If Apci8131GetSwitchValue(wLogSlot, pdwSwitchValue) <> 0 Then
      Apci8131wGetSwitchValue = True
    End If
  End If
End Function
'============================================================================
'     Cӂ߰Ăް
'     wLogSlot  ͂޲̘_ۯĔԍ
'         dwLogPort ͂_߰
'         pbInValue ްi[
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wInPort(ByVal wLogSlot As Integer, ByVal dwLogPort As Long, pbInValue As Byte) As Boolean
  Apci8131wInPort = False
  If hDLL <> 0 Then
    If Apci8131InPort(wLogSlot, dwLogPort, pbInValue) <> 0 Then
      Apci8131wInPort = True
    End If
  End If
End Function
'============================================================================
'     Cӂ߰Ăްo
'     wLogSlot  o͂޲̘_ۯĔԍ
'         dwLogPort o͂_߰
'         bOutValue o͂ް
'  ߂l  True
'         s False
'============================================================================
Function Apci8131wOutPort(ByVal wLogSlot As Integer, ByVal dwLogPort As Long, ByVal bOutValue As Byte) As Boolean
  Apci8131wOutPort = False
  If hDLL <> 0 Then
    If Apci8131OutPort(wLogSlot, dwLogPort, bOutValue) <> 0 Then
      Apci8131wOutPort = True
    End If
  End If
End Function
'============================================================================
'     aPCI-8131̴װ
'     wLogSlot  װ޲̘_ۯĔԍ
'  ߂l װ
'============================================================================
Function Apci8131wGetLastError(ByVal wLogSlot As Integer) As Long
  If hDLL = 0 Then
    Apci8131wGetLastError = APCI8131_ERR_WRAPDLL
  Else
    Apci8131wGetLastError = Apci8131GetLastError(wLogSlot)
  End If
End Function
'---------------------------------------------------------------------------
'     DLL߰Ċ֐ڽ̎擾
'     
'  ߂l  True
'         s False
'---------------------------------------------------------------------------
Private Function Apci8131wGetDllExportFunc() As Boolean
  Dim pFunc As Long
  Apci8131wGetDllExportFunc = False
  ' Apci8131GetVersion ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131GetVersion")
  If pFunc = 0 Then Exit Function
  ' Apci8131Create ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131Create")
  If pFunc = 0 Then Exit Function
  ' Apci8131Close ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131Close")
  If pFunc = 0 Then Exit Function
  ' Apci8131GetResource ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131GetResource")
  If pFunc = 0 Then Exit Function
  ' Apci8131InPort ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131InPort")
  If pFunc = 0 Then Exit Function
  ' Apci8131OutPort ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131OutPort")
  If pFunc = 0 Then Exit Function
  ' Apci8131GetLastError ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131GetLastError")
  If pFunc = 0 Then Exit Function
  ' Apci8131GetSwitchValue ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci8131GetSwitchValue")
  If pFunc = 0 Then Exit Function
  Apci8131wGetDllExportFunc = True  ' SĂ DLL ߰Ċ֐ڽ擾
End Function


