//============================================================================
//	apci8131w.pas
//
//	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
//
//	V1.11 Date 1999/08/23
//
//============================================================================

unit apci8131w;

interface

uses
	Windows;

//-------------------------------------
// װޒ萔
//-------------------------------------
const
	APCI8131_SUCCESS				      = 0;	// I
	APCI8131_ERR_SYSTEM			      = 1;	// GetLastError sĂ
	APCI8131_ERR_NO_DEVICE		    = 2;	// gp\޲Ȃ
	APCI8131_ERR_IN_USE			      = 3;	// w肳ꂽ޲͎gp
	APCI8131_ERR_INVALID_SLOT		  = 4;  // Ș_ۯĔԍw肵
	APCI8131_ERR_RESOURCE			    = 5;	// ؿװ
	APCI8131_ERR_INVALID_PORT     = 6;	// ȃ|[gv
	APCI8131_ERR_INVALID_ARGUMENT = 7;	// Ȉv
	APCI8131_ERR_NO_CREATE				= 8;	// ޲شĂĂ܂
	APCI8131_ERR_WRAPDLL 					=Dword(-1); 	// ׯ߰֐װ
//-------------------------------------
// ߰Ĕԍ萔
//-------------------------------------
	APCI8131_PORT_1 =	0;
	APCI8131_PORT_2 = 1;
	APCI8131_PORT_3 = 2;
	APCI8131_PORT_4 = 3;
//-------------------------------------
// ̑萔
//-------------------------------------
	APCI8131_DLL_NAME 	= 'apci8131.dll';	// DLĻٖ
	APCI8131_MAX_PORTS	= 4;							// ߰Đ
	APCI8131_MAX_SLOTS	= 16;							// őۯĐ
	APCI8131_DEVICE_ID	= $136c8131;			// ޲ID
	APCI8131_SLOT_AUTO	= $ffff;					// AutoSlotl
//-------------------------------------
// ؿ\
//-------------------------------------
	APCI8131_MAX_MEM	=	 9;
	APCI8131_MAX_IO		= 20;
	APCI8131_MAX_IRQ	=	 7;
	APCI8131_MAX_DMA	=	 7;

type
	TAPCI8131RESOURCE = record
		dwNumMemWindows:																	DWORD;	// س޳(gp)
		dwMemBase:			array [1 .. APCI8131_MAX_MEM] of	DWORD;	// س޳ްڽ(gp)
		dwMemLength:		array [1 .. APCI8131_MAX_MEM] of	DWORD;	// س޳(gp)
		dwMemAttrib:		array [1 .. APCI8131_MAX_MEM] of	DWORD;	// س޳(gp)
		dwNumIOPorts:																			DWORD;	// I/O߰Đ
		dwIOPortBase:		array [1 .. APCI8131_MAX_IO] of		DWORD;	// I/O߰ްڽ
		dwIOPortLength: array [1 .. APCI8131_MAX_IO] of		DWORD;	// I/O߰Ē
		dwNumIRQs:																				DWORD;	// IRQ(gp)
		dwIRQRegisters: array [1 .. APCI8131_MAX_IRQ] of	DWORD;	// IRQؽ(gp)
		dwIRQAttrib:		array [1 .. APCI8131_MAX_IRQ] of	DWORD;	// IRQؽ(gp)
		dwNumDMAs:																				DWORD;	// DMAِ(gp)
		dwDMALst:				array [1 .. APCI8131_MAX_DMA] of	DWORD;	// DMAؽ(gp)
		dwDMAAttrib:		array [1 .. APCI8131_MAX_DMA] of	DWORD;	// DMAّؽ(gp)
		dwReserved1:		array [1 .. 3] of									DWORD;	// \(gp)
	end;
//-------------------------------------
// J֐
//-------------------------------------
// DLL ۰
function Apci8131wDllOpen: Boolean;
// DLL ۰
function Apci8131wDllClose: Boolean;
// aPCI-8131 DLL,޲ײްްޮݔԍ擾
function Apci8131wGetVersion(var pdwDllVersion:DWORD; var pdwDriverVersion:DWORD): Boolean;
// CӂaPCI-8131̎gp錾
function Apci8131wCreate(var pwLogSlot:WORD): Boolean;
// CӂaPCI-8131̎gpJ
function Apci8131wClose(wLogSlot:WORD): Boolean;
// ؿ擾
function Apci8131wGetResource(wLogSlot:WORD; var pResInfo:TAPCI8131RESOURCE): Boolean;
// Cӂ߰Ăް
function Apci8131wInPort(wLogSlot:WORD; dwLogPort:DWORD; var pbInValue:BYTE): Boolean;
// Cӂ߰Ăްo
function Apci8131wOutPort(wLogSlot:WORD; dwLogPort:DWORD; bOutValue:BYTE): Boolean;
// aPCI-8131̴װ
function Apci8131wGetLastError(wLogSlot:WORD): DWORD;
// ۰ذ̒l擾
function Apci8131wGetSwitchValue(wLogSlot:WORD; var pdwSwitchValue:DWORD): Boolean;

//-------------------------------------
// (STATIC)ϐȂ
//-------------------------------------
implementation

{$J+}	// ^t萔̕ύX\߲׎w
const
	hDLL: THandle = 0;

type
	TApci8131GetVersion = function(var pdwDllVersion:DWORD; var pdwDriverVersion:DWORD): BOOL; stdcall;
	TApci8131Create = function(var pwLogSlot:WORD): BOOL; stdcall;
	TApci8131Close = function(wLogSlot:WORD): BOOL; stdcall;
	TApci8131GetResource = function(wLogSlot:WORD; var pres:TAPCI8131RESOURCE): BOOL; stdcall;
	TApci8131InPort = function(wLogSlot:WORD; dwLogPort:DWORD; var pbInValue:BYTE): BOOL; stdcall;
	TApci8131OutPort = function(wLogSlot:WORD; dwLogPort:DWORD; bOutValue:BYTE): BOOL; stdcall;
	TApci8131GetLastError = function(wLogSlot:WORD): DWORD; stdcall;
	TApci8131GetSwitchValue = function(wLogSlot:WORD; var pdwSwitchValue:DWORD): BOOL; stdcall;

// DLL ߰Ċ֐ڽ̊i[ϐ
var
	pApci8131GetVersion: TApci8131GetVersion;
	pApci8131Create: TApci8131Create;
	pApci8131Close: TApci8131Close;
	pApci8131GetResource: TApci8131GetResource;
	pApci8131InPort: TApci8131InPort;
	pApci8131OutPort: TApci8131OutPort;
	pApci8131GetLastError: TApci8131GetLastError;
	pApci8131GetSwitchValue: TApci8131GetSwitchValue;

function Apci8131wGetDllExportFunc: Boolean; forward;

{$J-}

//============================================================================
// 		apci8131.dll۰(۰ގʹװƂ)
// 		
// ߂l  True
//				s False
//============================================================================
function Apci8131wDllOpen: Boolean;
begin
	Result := False;
	if hDLL = 0 then begin
		hDLL := LoadLibrary(APCI8131_DLL_NAME);
		if hDLL <> 0 then begin
			Result := Apci8131wGetDllExportFunc;
			if Result <> True then
				Apci8131wDllClose;		// DLL֐擾ɎŝDLL۰
		end;
	end;
end;
//============================================================================
// 		apci8131.dll۰(۰ގʹװƂ)
// 		
// ߂l  True
//				s False
//============================================================================
function Apci8131wDllClose: Boolean;
begin
	Result := False;
	if hDLL <> 0 then begin
		Result := FreeLibrary(hDLL);
		if Result = True then begin
			hDLL := 0;
		end;
	end;
end;
//============================================================================
// 		aPCI-8131 DLL,޲ײްްޮݔԍ擾
// 		pdwDllVersion			DLLްޮݔԍi[̈ւ߲
//				pdwDriverVersion	޲ײްްޮݔԍi[̈ւ߲
// ߂l  True
//				s False
//============================================================================
function Apci8131wGetVersion(var pdwDllVersion:DWORD; var pdwDriverVersion:DWORD): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci8131GetVersion(pdwDllVersion, pdwDriverVersion)
end;
//============================================================================
// 		aPCI-8131̔Cӂ޲̎gp錾
// 		pwLogSlot	 gp޲̘_ۯĔԍi[߲
// ߂l  True
//				s False
//============================================================================
function Apci8131wCreate(var pwLogSlot:WORD): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci8131Create(pwLogSlot)
end;
//============================================================================
// 		aPCI-8131̔Cӂ޲̎gpJ
// 		wLogSlot ޲̘_ۯĔԍ
// ߂l  True
//				s False
//============================================================================
function Apci8131wClose(wLogSlot:WORD): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci8131Close(wLogSlot)
end;
//============================================================================
// 		w޲ؿ擾
// 		wLogSlot	ؿ擾޲̘_ۯĔԍ
//				pResInfo	ؿi[\߲̂
// ߂l  True
//				s False
//============================================================================
function Apci8131wGetResource(wLogSlot:WORD; var pResInfo:TAPCI8131RESOURCE): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci8131GetResource(wLogSlot, pResInfo)
end;
//============================================================================
// 		Cӂ߰Ăް
// 		wLogSlot	͂޲̘_ۯĔԍ
//				dwLogPort	͂_߰
//				pbInValue ްi[̈ւ߲
// ߂l  True
//				s False
//============================================================================
function Apci8131wInPort(wLogSlot:WORD; dwLogPort:DWORD; var pbInValue:BYTE): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci8131InPort(wLogSlot, dwLogPort, pbInValue)
end;
//============================================================================
// 		Cӂ߰Ăްo
// 		wLogSlot	o͂޲̘_ۯĔԍ
//				dwLogPort	o͂_߰
//				bOutValue o͂ް
// ߂l  True
//				s False
//============================================================================
function Apci8131wOutPort(wLogSlot:WORD; dwLogPort:DWORD; bOutValue:BYTE): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci8131OutPort(wLogSlot, dwLogPort, bOutValue)
end;
//============================================================================
// 		aPCI-8131̴װ
// 		wLogSlot	װ޲̘_ۯĔԍ
// ߂l װ
//============================================================================
function Apci8131wGetLastError(wLogSlot:WORD): DWORD;
begin
	if hDLL = 0 then Result := APCI8131_ERR_WRAPDLL
	else Result := pApci8131GetLastError(wLogSlot)
end;
//============================================================================
// 		۰ذ̒l擾
// 		wLogSlot				۰ذ̒l擾޲̘_ۯĔԍ
// 				pdwSwitchValue	۰ذ̒li[̈ւ߲
// ߂l  True
//				s False
//============================================================================
function Apci8131wGetSwitchValue(wLogSlot:WORD; var pdwSwitchValue:DWORD): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci8131GetSwitchValue(wLogSlot, pdwSwitchValue)
end;
//---------------------------------------------------------------------------
// 	  DLL߰Ċ֐ڽ̎擾
// 	  
// ߂l  True
//		  	s False
//---------------------------------------------------------------------------
function Apci8131wGetDllExportFunc: Boolean;
begin
	Result := False;
	// Apci8131GetVersion ̱ڽ擾
	pApci8131GetVersion := GetProcAddress(hDLL, 'Apci8131GetVersion');
	if @pApci8131GetVersion = nil then Exit;
	// Apci8131Create ̱ڽ擾
	pApci8131Create := GetProcAddress(hDLL, 'Apci8131Create');
	if @pApci8131Create = nil then Exit;
	// Apci8131Close ̱ڽ擾
	pApci8131Close := GetProcAddress(hDLL, 'Apci8131Close');
	if @pApci8131Close = nil then Exit;
	// Apci8131GetResource ̱ڽ擾
	pApci8131GetResource := GetProcAddress(hDLL, 'Apci8131GetResource');
	if @pApci8131GetResource = nil then Exit;
	// Apci8131InPort ̱ڽ擾
	pApci8131InPort := GetProcAddress(hDLL, 'Apci8131InPort');
	if @pApci8131InPort = nil then Exit;
	// Apci8131OutPort ̱ڽ擾
	pApci8131OutPort := GetProcAddress(hDLL, 'Apci8131OutPort');
	if @pApci8131OutPort = nil then Exit;
	// Apci8131GetLastError ̱ڽ擾
	pApci8131GetLastError := GetProcAddress(hDLL, 'Apci8131GetLastError');
	if @pApci8131GetLastError = nil then Exit;
	// Apci8131GetSwitchValue ̱ڽ擾
	pApci8131GetSwitchValue := GetProcAddress(hDLL, 'Apci8131GetSwitchValue');
	if @pApci8131GetSwitchValue = nil then Exit;
	// SĂ DLL ߰Ċ֐ڽ擾nj
	Result := True;
end;

end.

