Attribute VB_Name = "Sample"
'============================================================================
'
'  aPCI-8131
'
'  Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
'  V1.11 Date 1999/08/23
'
'   ̃\[Xɂ̓bp[֐̎gpႪLqĂ܂B
'
'============================================================================
Option Explicit

Private Const szTitle = "Sample"
Private Const sz8131 = "aPCI-8131"
Private Declare Function GetLastError Lib "kernel32" () As Long

'============================================================================
'   ۸т̊Jn
'============================================================================
Sub Main()

  Dim wLogSlot As Integer      ' ޲̘_ۯĔԍi[
  Dim Ri As APCI8131RESOURCE   ' ؿ
  Dim dwDllVer As Long, dwDriverVer As Long
  Dim dwSwVal As Long          ' ۰ذ̒l
  Dim cbDat As Byte
  Dim bResult As Boolean       ' 
  Dim szBuf As String

  '-------------------------------------------------
  ' apci8131.dll ̎gp錾
  '-------------------------------------------------
  If Apci8131wDllOpen() = False Then
    ErrorMessage (APCI8131_SLOT_AUTO)
    Exit Sub                ' apci8131.dll ۰ނɎs܂
  End If
  '-------------------------------------------------
  ' ްޮݔԍ\
  ' aPCI-8131 DLL,ײްްޮݔԍ擾
  '-------------------------------------------------
  If Apci8131wGetVersion(dwDllVer, dwDriverVer) = False Then
    ErrorMessage (APCI8131_SLOT_AUTO)
    Exit Sub
  End If

  szBuf = "GetVersion" + Chr(10) + _
          "DLL    Version" + Chr(9) + ": &H" + Hex(dwDllVer) + Chr(10) + _
          "Driver Version" + Chr(9) + ": &H" + Hex(dwDriverVer)
  ResultMessage (szBuf)
  '-------------------------------------------------
  ' aPCI-8131̎gp錾
  '-------------------------------------------------
  wLogSlot = APCI8131_SLOT_AUTO          ' gp޲T܂B
  bResult = Apci8131wCreate(wLogSlot)    ' ꍇA̎޲̘_ۯĔԍi[܂B

  If bResult = False Then                ' ޲܂B
    ErrorMessage (APCI8131_SLOT_AUTO)
    Exit Sub
  End If

  szBuf = "aPCI-8131 Created" + Chr(10) + Chr(10) + _
          "LogSlot: " + Str(wLogSlot)
  ResultMessage (szBuf)
  '-------------------------------------------------
  ' ؿ۰ذ̒l擾
  '-------------------------------------------------
  If Apci8131wGetResource(wLogSlot, Ri) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  If Apci8131wGetSwitchValue(wLogSlot, dwSwVal) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  szBuf = "Board Name  " + Chr(9) + ": " + sz8131 + Chr(10) + _
          "IO Address  " + Chr(9) + ": &H" + Hex(Ri.dwIOPortBase(2)) + _
          "-&H" + Hex(Ri.dwIOPortBase(2) + Ri.dwIOPortLength(2) - 1) + Chr(10) + _
          "EICR Address" + Chr(9) + ": &H" + Hex(Ri.dwIOPortBase(1)) + _
          "-&H" + Hex(Ri.dwIOPortBase(1) + Ri.dwIOPortLength(1) - 1) + Chr(10) + _
          "Switch      " + Chr(9) + ": &H" + Hex(dwSwVal)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' Port 1 ɔCӂްo
  '-------------------------------------------------
  cbDat = &HAA
  If Apci8131wOutPort(wLogSlot, APCI8131_PORT_1, cbDat) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  szBuf = "Port 1 փf[^o" + Chr(10) + _
          "Port 1 Out Data: &H" + Hex(cbDat)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' Port 1 f[^ǂݍ
  '-------------------------------------------------
  cbDat = &H0
  If Apci8131wInPort(wLogSlot, APCI8131_PORT_1, cbDat) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If
  szBuf = "Port 1 f[^" + Chr(10) + _
          "Port 1 In Data: &H" + Hex(cbDat)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' aPCI-8131̎gpJ
  '-------------------------------------------------
  If Apci8131wClose(wLogSlot) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If
  ResultMessage ("aPCI-8131 Closed")
  '-------------------------------------------------
  ' apci8131.dll ̎gpJ
  '-------------------------------------------------
  If Apci8131wDllClose() = False Then
    MsgBox "DLL ̃A[hɎs܂B", vbOKOnly + vbCritical
    Exit Sub
  End If
End Sub
'============================================================================
'    ʂ\
'============================================================================
Private Sub ResultMessage(lpszbuf As String)
  MsgBox lpszbuf, vbOKOnly + vbInformation
End Sub
'============================================================================
'    G[bZ[W\
'============================================================================
Private Sub ErrorMessage(ByVal wLogSlot As Integer)
  Dim dwRes As Long
  Dim szBuf As String

  dwRes = Apci8131wGetLastError(wLogSlot)
  Select Case dwRes
    Case APCI8131_ERR_SYSTEM
      szBuf = "System error" + Chr(10) + Chr(10) + "Error code: &H" + Hex(GetLastError())
    Case APCI8131_ERR_WRAPDLL
      szBuf = "DLL Load error"
    Case Else
      szBuf = "aPCI-8131 error" + Chr(10) + Chr(10) + "Error code: &H" + Hex(dwRes)
  End Select
  MsgBox szBuf, vbOKOnly + vbCritical
End Sub

